
Foreman - Feature #1799

Respect HTTP_X_FORWARDED_FOR for configured list of ip addresses.

08/01/2012 08:04 AM - Steve Traylen

Status: Closed   

Priority: Normal   

Assignee: Hannes Schaller   

Category: Unattended installations   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hi

app/controllers/unattended_controller.rb

contains:

elsif (ip = request.env['REMOTE_ADDR']) =~ /127.0.0/

      ip = request.env["HTTP_X_FORWARDED_FOR"] unless request.env["HTTP_X_FORWARDED_FOR"].nil?

end

 i.e if connecting from localhost then respect the HTTP_X_FORWARDED_FOR  for requests for e.g.

http://judy.cern.ch/unattended/built

Having set up a remote http load balencer in front of two foreman hosts this 127.0.0 needs to be configured to whatever

that remote host is. After editing unattended_controller.rb to contain my balencers ip address the unattended scripts

work as expected.

Related issues:

Related to Foreman - Bug #21628: Using the setting "Update IP from built requ... New 11/10/2017

Associated revisions

Revision 50e78f00 - 08/08/2012 07:01 AM - Hannes Schaller

fixes #1799 moved REMOTE_ADDR verification to settings

History

#1 - 08/01/2012 08:11 AM - Ohad Levy

what would you like we change? make it as a setting? or always respect the forwarded ip header?

#2 - 08/07/2012 06:42 AM - Ohad Levy

- Target version set to 1.1

#3 - 08/07/2012 06:42 AM - Ohad Levy

- Assignee changed from Ohad Levy to Hannes Schaller

fix at  https://github.com/theforeman/foreman/pull/126

#4 - 08/08/2012 08:28 AM - Hannes Schaller

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 50e78f00209b13865702990f10430e7feed22b56.

#5 - 11/10/2017 11:41 AM - Ivan Necas

05/10/2024 1/2

http://judy.cern.ch/unattended/built
https://github.com/theforeman/foreman/pull/126
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/50e78f00209b13865702990f10430e7feed22b56


- Related to Bug #21628: Using the setting "Update IP from built request" when building host through proxy, the IP will be updated with the proxy

instead of the host IP added
